<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/
session_name('portal_absa');
session_start();
//require("MandaCorreos/FuncionSendMail.php");
require("MandaCorreos/FuncionSendMailBCC.php");
require_once("conexion/conectar.php");
include("libs/funciones.php");

$conexion = new CONDB();
$conexion->conectar();



$rquery=mysqli_query($conexion->CONEXION,"select pass,activado,username,email,nombre from usuariosweb where username='".$_REQUEST['usr']."' and
email='".$_REQUEST['email']."'");
if(mysqli_num_rows($rquery) > 0){
	$tmp=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
	$usr=$_REQUEST['usr'];
	$ParaEmail=$_REQUEST['email'];
	$ParaNombre=$tmp['nombre'];
	$pass='temp'.date("Ymd");
	$passMd5=md5($pass);
	$activado=$tmp['activado'];
	if($activado == 0){
	?>
			<script>
			
			$j_6.messager.confirm("Notificaci&oacute;n.","Aun no ha confirmado su email.<br/>&iquest;Desea editar su perfil?<br/>Presione cancelar para seguir con el registro.", function(r){
							if (r){
									ventanaModal2('[editarPerfil.php,800,500]','','<?=$usr?>');
							}else{
								$j_6.messager.confirm("Notificaci&oacute;n.","Desea que se le envie el correo de confirmaci&oacute;n de email?",function(r2){
									$j_3('#loading').show();
									if(r2){
										$j_6.post("reenviaCorreoActivacion.php",{usuario: "<?=$usr?>", email: "<?=$ParaEmail?>", nombre: "<?=$ParaNombre?>", password: "<?=$tmp['pass']?>"},function(data){
											if(data == "true")
												$j_6.messager.alert("Informaci&oacute;n","Correo enviado con exito.","info");
											else
												$j_6.messager.alert("Error","Error al enviar el correo.","error");
												
											$j_3('#loading').hide();
											
										});
									}
								});
							}
						});
			</script>
	<?
	}else{
			mysqli_query($conexion->CONEXION,"update usuariosweb set pass='$passMd5' where username='$usr'");
			if(mysqli_errno($conexion->CONEXION) != 0){
				echo "Ocurrio un error al asignar la nueva contrase&ntilde;a";
				return false;
			}
			
			if(file_exists("config.ini")){
				$vlineas = file("config.ini");
				foreach ($vlineas as $sLinea) {
					if(substr($sLinea,0,19) == "CUERPO_OLVIDO_PASS="){
						$body=trim(str_replace("CUERPO_OLVIDO_PASS=","",$sLinea));
					}else if(substr($sLinea,0,19) == "ASUNTO_OLVIDO_PASS="){
						$SubjectMessage=trim(str_replace("ASUNTO_OLVIDO_PASS=","",$sLinea));
					}else if(substr($sLinea,0,5) == "RFCS="){
						$_SESSION["RFCS"]=trim(substr($sLinea,5));
					}elseif(substr($sLinea,0,11) == "RFCS_LIGAS="){
						$_SESSION["RFCS_LIGAS"]=trim(substr($sLinea,11));
					}elseif(substr($sLinea,0,11) == "URL_PORTAL="){
						$_SESSION["URL_PORTAL"]=trim(substr($sLinea,11));
					}
				}
			}
			
			$nombrecc = getINI("NOMBRE_BCC=","config.ini");
			$correocc = getINI("CORREO_BCC=","config.ini");
			$TIPO_CORREO = getINI("FUNCION_ENVIA_CORREO=","config.ini");
			$FROM = getINI("FROM_CORREO=","config.ini");
			
			$arrRFCS = explode(",",$_SESSION["RFCS"]);
			$arrLigas = explode(",",$_SESSION["RFCS_LIGAS"]);

			$liga="";
			for($i=0; $i < count($arrRFCS); $i++){
				if($_SESSION['RFC_RECEPTOR_PORTAL']==$arrRFCS[$i])
					{$liga=$arrLigas[$i]; break;}
			}
			$SubjectMessage=str_replace("<<USERNAME>>",$usr,str_replace("<<NOMBRE>>",$ParaNombre,str_replace("<<EMAIL>>",$ParaEmail,$SubjectMessage)));
			$BodyHTMLFileMessage=str_replace("<<LIGA>>",$_SESSION["URL_PORTAL"].$liga,str_replace("<<EMAIL>>",$ParaEmail,str_replace("<<NOMBRE>>",$ParaNombre,str_replace("<<PASS_USER>>",$pass,str_replace("<<USERNAME>>",$usr,file_get_contents($body))))));
			$AdjuntoA="";
			$AdjuntoB="";
			$AdjuntoC="";
			
			if(strtoupper(trim($TIPO_CORREO)) == "MAIL"){
				if(!mail($ParaEmail,$SubjectMessage,$BodyHTMLFileMessage,'From: '.$FROM)){
					echo "No se pudo enviar el correo. Intente nuevamente.";
				}else{
					echo "Se le ha enviado un correo con su nueva contrase&ntilde;a";
				}
			}else{
				if(!SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC,$correocc,$nombrecc)){
					echo "No se pudo enviar el correo. Intente nuevamente.";
				}else{
					echo "Se le ha enviado un correo con su nueva contrase&ntilde;a";
				}
			}
			
	}
}else{
	echo "El usuario no se encuentra o los datos no corresponden";
}
?>
